org.keycloak.models.cache

## Interface CachedUserModel.Streams

- All Superinterfaces:
    CachedUserModel, RoleMapperModel, RoleMapperModel.Streams, UserModel, UserModel.Streams
  All Known Implementing Classes:
    UserAdapter
  Enclosing interface:
    CachedUserModel

      public static interface CachedUserModel.Streams
      extends CachedUserModel, UserModel.Streams

  The `CachedUserModel.Streams` interface differs from `CachedUserModel` in that it extends the `UserModel.Streams` interface, allowing implementations of `CachedUserModel` to focus on the `Stream`-based methods in the `UserModel` interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.cache.CachedUserModel

      `CachedUserModel.Streams`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.SearchableFields, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `COMPARE_BY_USERNAME, DISABLED_REASON, EMAIL, EMAIL_VERIFIED, ENABLED, EXACT, FIRST_NAME, GROUPS, IDP_ALIAS, IDP_USER_ID, INCLUDE_SERVICE_ACCOUNT, LAST_NAME, LOCALE, SEARCH, USERNAME`

  - ### Method Summary

    - ### Methods inherited from interface org.keycloak.models.cache.CachedUserModel

      `getCachedWith, getCacheTimestamp, getDelegateForUpdate, invalidate, isMarkedForEviction`

    - ### Methods inherited from interface org.keycloak.models.UserModel.Streams

      `getAttribute, getAttributeStream, getGroups, getGroupsStream, getRequiredActions, getRequiredActionsStream`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `addRequiredAction, addRequiredAction, getAttributes, getCreatedTimestamp, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getGroups, getGroupsCount, getGroupsCountByNameContaining, getGroupsStream, getId, getLastName, getServiceAccountClientLink, getUsername, isEmailVerified, isEnabled, isMemberOf, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setServiceAccountClientLink, setSingleAttribute, setUsername`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel.Streams

      `getClientRoleMappings, getClientRoleMappingsStream, getRealmRoleMappings, getRealmRoleMappingsStream, getRoleMappings, getRoleMappingsStream`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel

      `deleteRoleMapping, grantRole, hasRole`

Copyright © 2021 JBoss by Red Hat. All rights reserved.